package com.entity;

/**
 *
 * Bean for update task.
 *
 * @author Laurentiu Marcut
 */
public class UpdateTask {

    private int id;
    private int previousPriority;
    private int currentPriority;

    /**
     *
     * Getter id.
     *
     * @return id
     */
    public int getId() {
        return id;
    }

    /**
     *
     * Setter id.
     *
     * @param id
     */
    public void setId(int id) {
        this.id = id;
    }

    /**
     *
     * Getter previous priority.
     *
     * @return previous priority
     */
    public int getPreviousPriority() {
        return previousPriority;
    }

    /**
     *
     * Setter previous priority.
     *
     * @param previousPriority
     */
    public void setPreviousPriority(int previousPriority) {
        this.previousPriority = previousPriority;
    }

    /**
     *
     * Getter current priority
     *
     * @return current priority
     */
    public int getCurrentPriority() {
        return currentPriority;
    }

    /**
     *
     * Setter current priority.
     *
     * @param currentPriority
     */
    public void setCurrentPriority(int currentPriority) {
        this.currentPriority = currentPriority;
    }
}
